var NODE_CODE = {
  NEW: '获取运单',
  FWB: '获取运单',
  DEH: '收运核单',
  ACC_CHECK: '查验',
  ACC_BUP: '加货',
  LS_CARGO: '预配载',
  FSUDEP: '预配载',
  FSU_DEP: '预配载',
  CARGOS_HANDOVER_STATUS_02: '货站交接',
  CARGOS_HANDOVER_STATUS_03: '交接复核',
  出港货邮: '机下交接',
  装载完成: '装机完成',
  货舱关闭: '关货舱门',
  CARGOS_OFFLOAD: '拉下登记',
  OFFLOAD_CONFIRM: '拉下确认',
  BILL_RETURN: '退运',
  CARGOS_ARR_HANDOVER: '卸机',
  CARGOS_HANDOVER_STATUS_01: '机下交接',
  CARGOS_HANDOVER_STATUS_99: '货站交接',
  IMP_TALLY: '理货',
  FSU_DLV: '出库',
  FSUDLV: '出库',
  EPORTREL: '入园',
  FOH: '运抵货站',
  MTREL_out: '海关放行',
  RCS: '收运核单',
  MTREL_in: '海关放行',
  MTREL: '海关放行',
  DLV: '出库',
  RCF报: '理货',
  CARGOS_HANDOVER_STATUS99: '货站交接',
}

var MESSAGE_TYPE = {
  FFM: 'FFM',
  IMP_TALLY: '理货',
  FSUDLV: '出库',
}

var LOAD_WARNING_MAP = {
  departure: {
    // 窄体
    B737: 105,
    B757: 105,
    A320: 105,
    A319: 105,
    B733: 105,
    B752: 105,
    B738: 105,
    B734: 105,
    'B752+': 105,
    // 宽体
    B767: 115,
    B777: 115,
    B747: 115,
    A330: 115,
    A340: 115,
    MD11: 115,
    IL76: 115,
    B777F: 115,
    'B763+': 115,
    B748: 115,
    B772: 115,
    A332: 115,
    B744: 115,
    B763: 115,
    B77L: 115,
    A333: 115,
  },
  internationalDeparture: {
    B737: 240,
    B757: 240,
    A320: 240,
    A319: 240,
    B733: 240,
    B752: 240,
    B738: 240,
    B734: 240,
    'B752+': 240,
    B767: 360,
    B777: 360,
    B747: 360,
    A330: 360,
    A340: 360,
    MD11: 360,
    IL76: 360,
    B777F: 360,
    'B763+': 360,
    B748: 360,
    B772: 360,
    A332: 360,
    B744: 360,
    B763: 360,
    B77L: 360,
    A333: 360,
  },
}

var HANDOVER_WARNING_MAP = {
  departure: {
    '380-391': {
      warning: 75,
      alarm: 60,
    },
    '51-139': {
      warning: 80,
      alarm: 70,
    },
  },
  internationalDeparture: {
    all: {
      warning: 195,
    },
  },
}
